Bug 131566 - zenity --question does not work
Summary: zenity --question does not work
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-utils   
(Show other bugs)
Version: 2
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marco Pesenti Gritti
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-02 12:03 UTC by Julien Tane
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-09 09:50:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Julien Tane 2004-09-02 12:03:17 UTC
Description of problem:

I tried to use zenity... But it did not work properly:

 zenity --question --text='Ja oder Nein'
 
(zenity:12151): Gtk-WARNING **: Invalid icon size -1
 


Version-Release number of selecteName        : 

gnome-utils                  

Version     : 2.6.0                           
Release     : 2                             Build Date: Thu 15 Apr
2004 11:07:48 CEST
Install Date: Thu 22 Apr 2004 18:58:35 CEST      
   Source RPM: gnome-utils-2.6.0-2.src.rpm


How reproducible:
always 

Steps to Reproduce:
1. call  $> zenity --question --text='Ja oder Nein'

2.get error

  
Actual results:
error...

Expected results:
0 or -1 when the corresponding button is pressed

Additional info:

There was a corresponding error in debian it seems.

Comment 1 Marco Pesenti Gritti 2004-11-09 09:50:16 UTC
To test it you should run something like:

zenity --question --text="OK?" && echo OK

If you press OK, then you should get ok printed on the console.
The printed message is just a warning, the return value is correct for me.

If the above test case doesnt work for you please reopen.


Note You need to log in before you can comment on or make changes to this bug.